Bug 1279507 - Designer don't enter to read-only mode after opening locked process
Designer don't enter to read-only mode after opening locked process
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.2.0
All All
urgent Severity high
: CR1
: 6.2.0
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 10:26 EST by Kirill Gaevskii
Modified: 2015-11-18 08:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kirill Gaevskii 2015-11-09 10:26:43 EST
Description of problem:
If you open locked Business Process designer will open in normal mode not in Read-Only mode.

Version-Release number of selected component (if applicable):
6.2.ER5

How reproducible:
always

Steps to Reproduce:
1. Open the BP with user A and start to change it (Move something or new node to canvas)
2. Open the BP with user B
3. Try to make some changes by user B

Actual results:
At point 2 Designer for user B is not in Read-Only mode. It is in normal mode.
At point 3 Business Central will commit changes from User A and unlock Business Process.

Expected results:
At point 2 Designer will be opened in Read-Only mode.
At point 3 (If at point 1 user A made no changes before Business Process was opened by user B) it is in normal mode, but if one of the user start to change Business Process the second have to get Designer in Read-Only mode.
Comment 1 Edson Tirelli 2015-11-12 09:30:35 EST
Raising priority to urgent as discussed by e-mail.
Comment 3 Kirill Gaevskii 2015-11-18 08:40:31 EST
Verified but bug 1283222, bug 1283214, and bug 1283227 was filed.

Note You need to log in before you can comment on or make changes to this bug.